Class SelectSmartObject
Inheritance
System.Object
System.MarshalByRefObject
SelectSmartObject
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Namespace: NXOpen
Assembly: NXOpen.dll
Syntax
public class SelectSmartObject : TaggedObject, IMessageSink, IComponentBuilder
Constructors
SelectSmartObject()
Declaration
protected SelectSmartObject()
Properties
Value
Declaration
public SmartObject Value { get; set; }
Property Value
Type | Description |
---|---|
SmartObject |
Methods
GetValue(out CaeObjectType.CaeSubType, out Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue.")]
public SmartObject GetValue(out CaeObjectType.CaeSubType caeSubType, out int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
Returns
Type | Description |
---|---|
SmartObject |
GetValue(out InferSnapType.SnapType, out SmartObject, out View, out Point3d, out SmartObject, out View, out Point3d)
Declaration
public void GetValue(out InferSnapType.SnapType snapType, out SmartObject selection1, out View view1, out Point3d point1, out SmartObject selection2, out View view2, out Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
SmartObject | selection1 | |
View | view1 | |
Point3d | point1 | |
SmartObject | selection2 | |
View | view2 | |
Point3d | point2 |
GetValue(out SmartObject, out View, out Point3d)
Declaration
public void GetValue(out SmartObject selection, out View view, out Point3d point)
Parameters
Type | Name | Description |
---|---|---|
SmartObject | selection | |
View | view | |
Point3d | point |
SetValue(InferSnapType.SnapType, SmartObject, View, Point3d, SmartObject, View, Point3d)
Declaration
public void SetValue(InferSnapType.SnapType snapType, SmartObject selection1, View view1, Point3d point1, SmartObject selection2, View view2, Point3d point2)
Parameters
Type | Name | Description |
---|---|---|
InferSnapType.SnapType | snapType | |
SmartObject | selection1 | |
View | view1 | |
Point3d | point1 | |
SmartObject | selection2 | |
View | view2 | |
Point3d | point2 |
SetValue(SmartObject, CaeObjectType.CaeSubType, Int32)
Declaration
[Obsolete("Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue.")]
public void SetValue(SmartObject selection, CaeObjectType.CaeSubType caeSubType, int caeSubId)
Parameters
Type | Name | Description |
---|---|---|
SmartObject | selection | |
CaeObjectType.CaeSubType | caeSubType | |
System.Int32 | caeSubId |
SetValue(SmartObject, View, Point3d)
Declaration
public void SetValue(SmartObject selection, View view, Point3d point)
Parameters
Type | Name | Description |
---|---|---|
SmartObject | selection | |
View | view | |
Point3d | point |
Validate()
Declaration
public bool Validate()
Returns
Type | Description |
---|---|
System.Boolean |
Implements
System.Runtime.Remoting.Messaging.IMessageSink